/*
 * Copyright (C) 2004, 2005, 2006 Moritz Orbach <zufall@apfelboymchen.homeunix.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#define AUTHORS "Moritz Orbach"

typedef struct {
	/* these can't be unsigned or I can't test for < 0 */
	int delay;	/* delay in seconds */
	double maxscale;
	int minborder;
	int minsize;
	int setbg;
	int passes;
	int sequential;
	char *command;
} t_config;

extern int cfg_cmdln(int *argc, char **argv, int *diroffset, char ****collections, int *collectionsc);
extern void cfg_file();

extern t_config cfg;
